# Function recordForwardResult

- recordForwardResult(
  monadId: string,
  namespace: string,
  elapsedMs: number,
  ok: boolean,
  ): void

  Records the outcome of a forwarded mesh request.

  This is the learning loop. It updates:

  - decayed `resonance`
  - failure-penalized `effectiveResonance`
  - EWMA `avgLatencyMs`
  - forward/failure counters

  #### Parameters

  - monadId: string
  - namespace: string
  - elapsedMs: number
  - ok: boolean

  #### Returns void

  - Defined in kernel/scoring.ts:103